# module Hoe::Clean

Clean plugin for hoe.

### Tasks Provided:¶ ↑

clean

  Clean up all the extras.

### Attributes

clean_globs[RW]

Optional: An array of file patterns to delete on clean.

### Public Instance Methods

define_clean_tasks() click to toggle source

Define tasks for plugin.

    # File lib/hoe/clean.rb, line 25
    def define_clean_tasks
      desc "Clean up all the extras."
      task :clean => [ :clobber_docs, :clobber_package ] do
        clean_globs.each do |pattern|
          files = Dir[pattern]
          rm_rf files, :verbose => true unless files.empty?
        end
      end
    end

initialize_clean() click to toggle source

Initialize variables for plugin.

    # File lib/hoe/clean.rb, line 17
    def initialize_clean
      self.clean_globs ||= %w[diff diff.txt TAGS ri deps .source_index
                              *.gem **/*~ **/.*~ **/*.rbc coverage*]
    end